{% extends '../base.html' %}

{% block content %}

<main>
  <div>
    <h1>Login</h1>
  {% if form.errors %}
    <p>Your username and password didn't match. Please try again.</p>
  {% endif %}

  {% if next %}
      {% if user.is_authenticated %}
        <p>Your account doesn't have access to this page. To proceed,
        please login with an account that has access.</p>
      {% else %}
        <p>Please login to see this page.</p>
      {% endif %}
  {% endif %}

  <form method="post" action="{% url 'login' %}">
  {% csrf_token %}
  <table>
    <tr>
      <td>{{ form.username.label_tag }}</td>
      <td>{{ form.username }}</td>
    </tr>
    <tr>
      <td>{{ form.password.label_tag }}</td>
      <td>{{ form.password }}</td>
    </tr>
  </table>
  <button>Login</button>
  </div>
  {% comment %} <input type="text" name="username">
  <input type="password" name="username"> {% endcomment %}

  {% comment %} <input type="submit" value="login">
  <input type="hidden" name="next" value="{{ next }}"> {% endcomment %}
  </form>
</main>

{% endblock %}
